﻿using System;

namespace WpfRatingSelector.Models
{
	/// <summary>
	/// 一つの曲を表すクラスです。
	/// </summary>
	class Song
	{
		/// <summary>
		/// アルバム名を取得または設定します。
		/// </summary>
		public string Album { get; set; }

		/// <summary>
		/// アーティスト名を取得または設定します。
		/// </summary>
		public string Artist { get; set; }

		/// <summary>
		/// 演奏時間を取得または設定します。
		/// </summary>
		public TimeSpan Duration { get; set; }

		/// <summary>
		/// 評価を示す値を取得または設定します。
		/// </summary>
		public int Rating { get; set; }

		/// <summary>
		/// タイトルを取得または設定します。
		/// </summary>
		public string Title { get; set; }
	}
}
